<!--
  省市县三级联动选择 （收付通接口获取）

  @author terrfly
  @site https://www.jeequan.com
  @date 2022/01/17 19:34
-->

<template>
  <a-cascader :value="props.value" :options="allList" placeholder="选择开户银行省市" @change="changeFunc" />
</template>
<script lang="ts" setup>
import { defineProps } from 'vue'
import allList from './areacodeSft.json'

const props = defineProps({
    value: { type: Array, default: null },
})

// emit 父组件使用： v-model="val" 进行双向绑定。
const emit = defineEmits(['update:value', 'changeSft'])

// 当属性发生了变化， 需要通过函数向父组件通信 --》 父组件再通知子组件进行数据的变化。 
function changeFunc(value, selectedOptions){
    emit('changeSft', selectedOptions)
    emit('update:value', value)
}

</script>

